From 2aa16632ef438e31722b5e9731ead0b5734a54df Mon Sep 17 00:00:00 2001
From: Joshua Duong <joshuaduong@google.com>
Date: Wed, 13 Feb 2019 11:13:40 -0800
Subject: [PATCH] PATCH (Qt 5.12.1): Add custom chromium dependencies path.

We have all of the dependencies to build chromium for linux in our
prebuilts/android-emulator-build/common/qtwebengine-deps folder, but
chromium assumes that we have it install in /usr/lib. So this adds
an environment variable, QTWEBENGINE_DEPS_DIR, that lets you customize
the location of the dependencies.

Whenever updating the Qt source, please apply this patch.

Change-Id: Ie94cb261747da30522b822640784f73fad4807da
---
 .../chromium/build/config/compiler/BUILD.gn      | 16 ++++++++++++----
 .../chromium/build/config/compiler/compiler.gni  |  6 ++++++
 2 files changed, 18 insertions(+), 4 deletions(-)

diff --git a/qt-everywhere-src-5.12.1/qtwebengine/src/3rdparty/chromium/build/config/compiler/BUILD.gn b/qt-everywhere-src-5.12.1/qtwebengine/src/3rdparty/chromium/build/config/compiler/BUILD.gn
index d223a4f6fd..f78031e75a 100644
--- a/qt-everywhere-src-5.12.1/qtwebengine/src/3rdparty/chromium/build/config/compiler/BUILD.gn
+++ b/qt-everywhere-src-5.12.1/qtwebengine/src/3rdparty/chromium/build/config/compiler/BUILD.gn
@@ -183,10 +183,18 @@ if (use_debug_fission == "default") {
 # source root and might have conflicting versions of some headers) can remove
 # this and specify their own include paths.
 config("default_include_dirs") {
-  include_dirs = [
-    root_gen_dir,
-    "//",
-  ]
+  if (is_linux) {
+    include_dirs = [
+      root_gen_dir,
+      "//",
+      qtwebengine_deps_dir,
+    ]
+  } else {
+    include_dirs = [
+      root_gen_dir,
+      "//",
+    ]
+  }
 }
 
 # compiler ---------------------------------------------------------------------
diff --git a/qt-everywhere-src-5.12.1/qtwebengine/src/3rdparty/chromium/build/config/compiler/compiler.gni b/qt-everywhere-src-5.12.1/qtwebengine/src/3rdparty/chromium/build/config/compiler/compiler.gni
index 431fc3d1fc..7e7020330a 100644
--- a/qt-everywhere-src-5.12.1/qtwebengine/src/3rdparty/chromium/build/config/compiler/compiler.gni
+++ b/qt-everywhere-src-5.12.1/qtwebengine/src/3rdparty/chromium/build/config/compiler/compiler.gni
@@ -224,6 +224,12 @@ if (symbol_level == -1) {
   }
 }
 
+# A hack to include our custom toolchain includes for
+# qtwebengine dependencies, because it seems that the chromium toolchain assumes that some of the libraries are in the /usr/lib directory.
+if (is_linux) {
+  qtwebengine_deps_dir = getenv("QTWEBENGINE_DEPS_DIR") + "/include"
+}
+
 # Assert that the configuration isn't going to hit https://crbug.com/648948.
 # An exception is made when target_os == "chromeos" as we only use the Android
 # toolchain there to build relatively small binaries.
-- 
2.23.0.rc1.153.gdeed80330f-goog

